> For the complete documentation index, see [llms.txt](https://docs.ospree.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ospree.io/developers/blockchain-analytics/verify-address-details.md).

# Verify Address Details

<mark style="color:green;">`GET`</mark> `/api/v2/analytics/chains/{chain}/addresses/{address}/details`\
\
This endpoint returns compliance-related attributes of a blockchain address and, where applicable, customer account information. Any information returned by this endpoint is limited to customer accounts within your own organization. \
\
Path Parameters

| Name      | Type   | Description                                                                                                    | Required |
| --------- | ------ | -------------------------------------------------------------------------------------------------------------- | -------- |
| `chain`   | string | Blockchain network name. Example: <mark style="color:orange;">`bitcoin`</mark>                                 | True     |
| `address` | string | Unique blockchain identifier. Example: <mark style="color:orange;">`1JjYpRXfPntVEJqAjxsYmvFjjJBdJyaJ2k`</mark> | True     |

Sample Request

{% tabs %}
{% tab title="REQUEST" %}

```json
curl -X GET https://sandbox.ospree.io/api/v2/analytics/chains/bitcoin/addresses/1Q8QR5k32hexiMQnRgkJ6fmmjn5fMWhdv9/details

-h 'Content-Type: application/json' \
-h 'Accept: application/json' \
-h 'Authorization: ••••••' \
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
  "status": "success",
  "data": {
    "address": "1Q8QR5k32hexiMQnRgkJ6fmmjn5fMWhdv9",
    "chain": "bitcoin",
    "is_validated": true, // Indicates whether the address exists and has a transaction history.
    "is_self_hosted": true, // Shows whether the address has been labeled as self-hosted.
    "is_verified": false, // Confirms whether control of the wallet address has been cryptographically proven through a digital signature.
    "is_customer": true, // Flags whether the address is associated with a known customer account within your organization.
    "reference_id": "234923423" // Internal reference ID of the associated account.
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ospree.io/developers/blockchain-analytics/verify-address-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
